(function($) {
  'use strict';
  var initWorldMap;
  //: World Map
  initWorldMap = function() {
    var $map, map_color;
    $map = $('.content-world-map');
    if ($map.length && $.fn.vectorMap) {
      map_color = '#E5E5E5';
      $map.each(function() {
        var $this, locations, map;
        $this = $(this);
        locations = window[$this.data('markers')];
        map = new jvm.Map({
          container: $this,
          map: 'world_mill_en',
          zoomButtons: false,
          normalizeFunction: 'polynomial',
          hoverOpacity: 0.7,
          hoverColor: false,
          zoomOnScroll: false,
          zoomMin: 1,
          zoomMax: 3,
          backgroundColor: 'transparent',
          series: {
            markers: [
              {
                attribute: 'image',
                scale: locations.reduce((function(p,
              c,
              i) {
                  p[c.status] = c.icon;
                  return p;
                }),
              {}),
                values: locations.reduce((function(p,
              c,
              i) {
                  p[i] = c.status;
                  return p;
                }),
              {})
              }
            ]
          },
          regionStyle: {
            initial: {
              fill: map_color,
              stroke: map_color,
              'stroke-width': 1.2
            }
          },
          markers: locations,
          onRegionTipShow: function(e, el, code) {
            e.preventDefault();
          },
          onRegionOver: function(e, el, code) {
            e.preventDefault();
          }
        });
      });
    }
  };
  initWorldMap();
})(jQuery);
