(function($) {
  'use strict';
  var $body, $document, $html, $page, $window, bespoke_lightbox, convertMonetary, countTo, initAccordion, initAnimations, initApp, initBackgroundVideo, initCarousels, initHistoryNav, initImages, initLightbox, initMasonry, initNav, initPageLoad, initParallax, initProductPage, initRotator, initWooCommerce, initWorldMap, initWorldMapResize, lightbox, msnry, scroll, world_map;
  //: Init
  $window = $(window);
  $body = $('body');
  $html = $('html');
  $document = $(document);
  $page = $('#page');
  world_map = false;
  msnry = false;
  scroll = false;
  lightbox = false;
  bespoke_lightbox = false;
  $document.ready(function() {
    initApp();
  });
  $window.on('load', function() {
    initPageLoad();
  });
  $window.on('resize', function() {
    initWorldMapResize();
  });
  convertMonetary = function(inp) {
    inp.toString().replace(/^(\d*?\d{1,6})(\d{2})?$/, function(m, whole, dec) {
      return whole.replace(/\B(?=(\d{3})+(?!\d))/g, '\'') + (dec !== void 0 ? '.' + dec : '');
    });
  };
  $.fn.imgLoad = function(callback) {
    return this.each(function() {
      if (callback) {
        if (this.complete || $(this).height() > 0) {
          return callback.apply(this);
        } else {
          return $(this).on('load', function() {
            callback.apply(this);
          });
        }
      }
    });
  };
  //: Count from zero to a custom number
  countTo = function(num, target, duration) {
    var countToRun, end, endTime, minTimer, range, start, startTime, stepTime, timer;
    if (duration) {
      end = num;
      start = 0;
      range = end - start;
      minTimer = 50;
      stepTime = Math.max(Math.abs(Math.floor(duration / range)), minTimer);
      startTime = new Date().getTime();
      endTime = startTime + duration;
      countToRun = function() {
        var now, remaining, value;
        now = (new Date()).getTime();
        remaining = Math.max((endTime - now) / duration, 0);
        value = Math.round(end - (remaining * range));
        target.text(value.toLocaleString());
        if (value === Math.round(end)) {
          target.text(num.toLocaleString());
          clearInterval(timer);
        }
      };
      timer = setInterval(countToRun, stepTime);
      countToRun();
    } else {
      target.text(num.toLocaleString());
    }
  };
  //: Init animations
  initAnimations = function() {
    var $counters;
    $counters = $('.countTo');
    if ($.fn.waypoint && $counters.length) {
      $counters.waypoint((function() {
        var $this, $this_speed;
        $this = $(this.element);
        $this_speed = $this.data('count-speed');
        if (!$this.hasClass('done')) {
          countTo($this.text(), $this, $this_speed ? $this_speed : 1000);
          $this.addClass('done');
        }
      }), {
        offset: '95%'
      });
    }
  };
  //: Init Rotator
  initRotator = function() {
    var $rotator;
    $rotator = $('.content-text-rotator');
    if ($.fn.textrotator && $rotator.length) {
      $rotator.each(function() {
        var $texts, $this, texts_animation, texts_data, texts_speed;
        $this = $(this);
        $texts = $('.content-text-rotator-dynamic', $this);
        texts_data = $texts.data('rotator-strings');
        texts_animation = $texts.data('rotator-animation');
        texts_speed = $texts.data('rotator-speed');
        if (texts_data) {
          $texts.text(texts_data);
        }
        $texts.textrotator({
          animation: texts_animation ? texts_animation : 'dissolve',
          separator: texts_data ? '|' : ',',
          speed: texts_speed ? texts_speed : 2000
        });
      });
    }
  };
  //: Init Parallax
  initParallax = function() {
    if (typeof LocomotiveScroll === 'function' && $body.hasClass('parallax-enabled')) {
      if (scroll) {
        setTimeout((function() {
          scroll.update();
        }), 100);
      } else {
        scroll = new LocomotiveScroll({
          el: $('#page')[0],
          smooth: true,
          getSpeed: true,
          getDirection: true,
          useKeyboard: true,
          inertia: .75
        });
        //scroll.scrollTo(0, 0)
        scroll.on('call', function(value, way, obj) {
          var $this, $this_speed;
          if (value === 'countTo') {
            $this = $(obj.el);
            $this_speed = parseInt($this.data('count-speed'));
            if (!$this.hasClass('done')) {
              countTo(parseFloat($this.text()), $this, $this_speed ? $this_speed : 1000);
              $this.addClass('done');
            }
          }
        });
      }
    }
  };
  //: Video
  initBackgroundVideo = function() {
    var $bg_video, $w_width;
    $bg_video = $('.content-video-background-container');
    if ($bg_video.length && $bg_video.data('content-video')) {
      $w_width = $window.width();
      $bg_video.each(function() {
        var $this, $video, is_hero, poster;
        $this = $(this);
        is_hero = $this.hasClass('content-hero-slider-video') ? true : false;
        poster = $this.data('content-video-poster');
        if (!$.fn.bgVideo || !Modernizr.video) {
          $this.addClass('content-video-unsupported');
        } else {
          $this.bgVideo({
            mp4Src: $this.data('content-video'),
            imgSrc: poster,
            options: $w_width > 1000 ? 'muted loop autoplay poster="' + poster + '"' : 'controls poster="' + poster + '"',
            mobileVideo: is_hero ? 1000 : false
          });
          $video = $('video', $this).get(0);
        }
      });
    }
  };
  //: World Map
  /*
  if $bg_video.length && $bg_video.data('content-video') && $.fn.backstretch
      $bg_video.each () ->
          $this = $ @
          $this.backstretch
              url:     $this.data('content-video')
              mute:    true
              isVideo: true
              loop:    true
          return
  */
  /*
  $controls = $ '.content-video-background-controls', $this.parent()
  setTimeout (->
          if $video.paused
              $controls.fadeIn 200
          return
      ), 1500
  $controls.on 'click', (e) ->
      e.preventDefault()
      if $video.paused
          $video.play()
          $controls.addClass 'paused'
          if $video.requestFullscreen
              $video.requestFullscreen()
          else if $video.mozRequestFullScreen
              $video.mozRequestFullScreen()
          else if $video.webkitRequestFullscreen
              $video.webkitRequestFullscreen()
          else if $video.msRequestFullscreen
              $video.msRequestFullscreen()
      else
          $video.pause()
          $controls.removeClass 'paused'
      return
  */
  initWorldMap = function() {
    var $map, $map_el, locations, map_color;
    $map = $('.content-world-map');
    if ($map.length && $.fn.vectorMap) {
      map_color = '#E5E5E5';
      $map_el = $($map.get(0));
      locations = window[$map_el.data('markers')];
      world_map = new jvm.Map({
        container: $map_el,
        map: 'world_mill_en',
        zoomButtons: true,
        normalizeFunction: 'polynomial',
        hoverOpacity: 0.7,
        hoverColor: false,
        zoomOnScroll: false,
        zoomMin: 1,
        zoomMax: 5,
        backgroundColor: 'transparent',
        series: {
          markers: [
            {
              attribute: 'image',
              scale: locations.reduce((function(p,
            c,
            i) {
                p[c.status] = c.icon;
                return p;
              }),
            {}),
              values: locations.reduce((function(p,
            c,
            i) {
                p[i] = c.status;
                return p;
              }),
            {})
            }
          ]
        },
        regionStyle: {
          initial: {
            fill: map_color,
            stroke: map_color,
            'stroke-width': 1.2
          }
        },
        markers: locations,
        onRegionTipShow: function(e, el, code) {
          e.preventDefault();
        },
        onRegionOver: function(e, el, code) {
          e.preventDefault();
        },
        onMarkerTipShow: function(e, label, index) {
          label.html(locations[index]['description']);
        },
        onViewportChange: function(event, scaleFactor) {
          if (scaleFactor > 1.3) {
            $map_el.addClass('content-world-map-scaled');
          } else {
            $map_el.removeClass('content-world-map-scaled');
          }
        }
      });
      $map_el.bind('mousewheel DOMMouseScroll', function(e) {
        var centerX, centerY, map_obj, offset, zoomStep;
        if (e.ctrlKey === true) {
          map_obj = $map_el.vectorMap('get', 'mapObject');
          if (map_obj) {
            offset = jvm.$(map_obj.container).offset();
            centerX = e.pageX - offset.left;
            centerY = e.pageY - offset.top;
            zoomStep = Math.pow(1 + map_obj.params.zoomOnScrollSpeed / 1000, e.deltaFactor * e.deltaY);
            map_obj.tip.hide();
            map_obj.setScale(map_obj.scale * zoomStep, centerX, centerY);
            e.preventDefault();
          }
          if (scroll) {
            scroll.stop();
          }
        } else {
          if (!$map_el.hasClass('content-world-map-notice-on')) {
            $map_el.addClass('content-world-map-notice-on');
            setTimeout((function() {
              $map_el.removeClass('content-world-map-notice-on');
            }), 1000);
          }
          if (scroll) {
            scroll.start();
          }
        }
      });
    }
  };
  initWorldMapResize = function() {
    var $w_width, $wm_container, scaleLevel;
    if (world_map) {
      $w_width = $window.width();
      if ($w_width < 992) {
        $wm_container = $(world_map.container);
        scaleLevel = $w_width > 600 ? 2 : 3;
        world_map.setScale(scaleLevel, $wm_container.width() / 2, $wm_container.height() / 3);
      } else {
        world_map.setScale(1, 0, 0);
      }
    }
  };
  //: Init nav
  initNav = function() {
    var $trigger;
    $trigger = $('.page-nav-trigger');
    //$nav_ani = $ '#page-nav-popup .animate'
    $trigger.on('click', function(e) {
      e.preventDefault();
      if (!$body.hasClass('nav-active')) {
        $body.addClass('nav-active');
        /*
        $nav_ani.each () ->
            $this = $ @
            $this.addClass 'animated ' + $this.data('animation')
            return
        */
        if (scroll) {
          scroll.stop();
        }
      } else {
        $body.removeClass('nav-active');
        /*
        $nav_ani.each () ->
            $this = $ @
            $this.removeClass 'animated ' + $this.data('animation')
            return
        */
        if (scroll) {
          scroll.start();
        }
      }
    });
    $('.content-read-more-popup').on('click', function(e) {
      var $modal, $this, post_data;
      e.preventDefault();
      $this = $(this);
      $body.addClass('modal-activating');
      $modal = $('#page-modal-inner');
      post_data = {
        'action': 'load_product',
        'security': products.security,
        'page': $this.attr('href')
      };
      $.ajax({
        type: 'POST',
        data: post_data,
        url: products.ajaxurl,
        success: function(response) {
          if (response) {
            $body.addClass('modal-active');
            $modal.html(response);
            if (typeof wpcf7 !== 'undefined') {
              wpcf7.initForm($('div.wpcf7 > form').get(0));
            }
            if (lightbox) {
              lightbox.destroy();
              if (bespoke_lightbox) {
                bespoke_lightbox.destroy();
              }
              initLightbox();
            }
            if (scroll) {
              scroll.stop();
            }
          }
        }
      }).fail(function(response) {
        $body.addClass('modal-active');
      });
    });
    $('.modal-close').on('click', function(e) {
      e.preventDefault();
      $body.removeClass('modal-activating modal-active');
      if (scroll) {
        scroll.start();
      }
    });
  };
  initHistoryNav = function() {
    $('.content-read-more-history-back').on('click', function(e) {
      if ($(this).parents('.content-product-single').length) {
        e.preventDefault();
        $('.content-product').removeClass('product-active');
        $('.content-product-single-wrapper').removeClass('product-loading product-loaded').slideUp(300, function() {
          if (scroll) {
            scroll.update();
          }
        });
      } else {
        if (history.length > 1) {
          e.preventDefault();
          history.back();
        }
      }
    });
  };
  //: Init masonry
  initMasonry = function() {
    var $grid;
    $grid = $('.content-project-grid');
    if ($grid.length && $.fn.masonry) {
      setTimeout((function() {
        msnry = $grid.masonry({
          itemSelector: '.content-project-col',
          horizontalOrder: true
        });
      }), 300);
    }
  };
  //: Init accordion
  initAccordion = function() {
    var $accordion;
    $accordion = $('.content-faq');
    if ($accordion.length) {
      $accordion.each(function() {
        var $descr, $this;
        $this = $(this);
        $descr = $('.content-faq-description', $this);
        $('.content-faq-toggle', $this).on('click', function(e) {
          e.preventDefault();
          $this.toggleClass('content-faq-closed');
          $descr.slideToggle(300, function() {
            if (scroll) {
              scroll.update();
            }
          });
        });
        $('.content-checkout-stage-next > a', $this).on('click', function(e) {
          var $next;
          e.preventDefault();
          $next = $($('~ .content-checkout-stage', $this).get(0));
          $this.addClass('content-faq-closed');
          $descr.slideUp(300, function() {
            if (scroll) {
              scroll.update();
            }
          });
          $next.removeClass('content-faq-closed');
          $('.content-faq-description', $next).slideDown(300, function() {
            if (scroll) {
              scroll.update();
            }
          });
        });
        $('.content-checkout-stage-edit > a', $this).on('click', function(e) {
          e.preventDefault();
          $accordion.addClass('content-faq-closed');
          $('.content-faq-description').slideUp(300);
          $this.removeClass('content-faq-closed');
          $descr.slideDown(300, function() {
            if (scroll) {
              scroll.update();
            }
          });
        });
        if (!$this.hasClass('content-checkout-stage-current')) {
          $this.addClass('content-faq-closed');
          $descr.slideToggle(300, function() {
            if (scroll) {
              scroll.update();
            }
          });
        }
      });
    }
  };
  //: Lightbox
  initLightbox = function() {
    var opts;
    if ($.fn.simpleLightbox) {
      opts = {
        navText: ['<i class="icon icon-arrow-right"></i>', '<i class="icon icon-arrow-right"></i>'],
        closeText: '<i class="icon icon-close"></i>',
        disableRightClick: true,
        showCounter: true,
        loop: false,
        history: false,
        captions: false,
        captionSelector: 'self',
        captionType: 'attr',
        captionsData: 'title',
        captionPosition: 'outside',
        captionDelay: 300
      };
      lightbox = $('.gallery a, a.lightbox, .wp-block-gallery a, .wp-block-image a').simpleLightbox(opts);
      bespoke_lightbox = $('a.bespoke-lightbox').simpleLightbox(opts);
    }
  };
  //: Carousels
  initCarousels = function() {
    var $carousels;
    $carousels = $('.wp-block-gallery.columns-1');
    if ($carousels.length && $.fn.owlCarousel) {
      $carousels.each(function() {
        var $this;
        $this = $(this);
        $this.addClass('owl-carousel').owlCarousel({
          nestedItemSelector: 'blocks-gallery-item',
          itemElement: 'ul',
          stageElement: 'div',
          loop: true,
          margin: 0,
          dots: false,
          nav: true,
          navText: [],
          autoplay: false,
          responsiveBaseElement: '#page',
          responsive: {
            0: {
              items: 1
            },
            480: {
              items: 2
            },
            576: {
              items: 2
            },
            768: {
              items: 2
            },
            992: {
              items: 2
            },
            1200: {
              items: 2
            }
          }
        });
      });
    }
  };
  //: Product Page
  initProductPage = function() {
    var $product, $product_single, product_preview_selector, product_row_selector, product_single_selector;
    $product_single = $('#content-product-single');
    $product = $('.content-product');
    if ($product_single.length && scroll) {
      scroll.scrollTo($product_single[0], -70);
    }
    if ($product.length) {
      product_row_selector = '.content-product-row-wrapper';
      product_preview_selector = '.content-product-single-wrapper';
      product_single_selector = '.content-product-single';
      $('a', $product).on('click', function(e) {
        var $current_product, $product_preview, $product_row, $target, $this, post_data;
        $this = $(this);
        if (!$this.hasClass('lightbox') && !$this.hasClass('bespoke-lightbox')) {
          e.preventDefault();
          $target = $this.attr('href');
          $current_product = $this.parents('.content-product');
          if (!$current_product.hasClass('product-active')) {
            $product.removeClass('product-active');
            $current_product.addClass('product-active');
            $product_row = $current_product.parents(product_row_selector);
            $product_preview = $product_row.prev(product_preview_selector);
            if ($product_preview.hasClass('product-loading') || $product_preview.hasClass('product-loaded')) {
              $product_preview.removeClass('product-loaded');
              if (scroll) {
                scroll.update();
                scroll.scrollTo($product_preview[0], -70);
              }
            } else {
              $(product_preview_selector).removeClass('product-loading product-loaded').slideUp(300, function() {
                if (scroll) {
                  scroll.update();
                }
              });
              $product_preview.addClass('product-loading').slideDown(300, function() {
                if (scroll) {
                  scroll.update();
                  scroll.scrollTo($product_preview[0], -70);
                }
              });
            }
            post_data = {
              'action': 'load_product',
              'security': products.security,
              'product': $current_product.data('product-id')
            };
            $.ajax({
              type: 'POST',
              data: post_data,
              url: products.ajaxurl,
              success: function(response) {
                if (response) {
                  setTimeout((function() {
                    $(product_single_selector).remove();
                    $product_preview.addClass('product-loaded').append(response);
                    initHistoryNav();
                    if (lightbox) {
                      lightbox.destroy();
                      if (bespoke_lightbox) {
                        bespoke_lightbox.destroy();
                      }
                      initLightbox();
                    }
                    if (scroll) {
                      setTimeout((function() {
                        scroll.update();
                      }), 300);
                    }
                  }), 750);
                }
              }
            }).fail(function(response) {
              $(product_preview_selector).removeClass('product-loading product-loaded');
              $product.removeClass('product-active');
              $product_preview.slideUp(300, function() {
                $(product_single_selector).remove();
                if (lightbox) {
                  lightbox.destroy();
                  if (bespoke_lightbox) {
                    bespoke_lightbox.destroy();
                  }
                  initLightbox();
                }
                if (scroll) {
                  scroll.update();
                }
              });
            });
          }
        }
      });
    }
  };
  //: Init images loading
  initImages = function() {
    var update_running;
    update_running = false;
    $('img').imgLoad(function() {
      if (!update_running) {
        update_running = true;
        setTimeout((function() {
          update_running = false;
          if (msnry) {
            msnry.masonry('reloadItems');
          }
          if (scroll) {
            scroll.update();
          }
        }), 300);
      }
    });
  };
  //: Init WooCommerce
  initWooCommerce = function() {
    $document.on('init_checkout payment_method_selected update_checkout updated_checkout', function(e) {
      if (scroll) {
        setTimeout((function() {
          scroll.update();
        }), 400);
      }
    });
    $document.on('checkout_error', function(e) {
      if (scroll) {
        setTimeout((function() {
          scroll.update();
          scroll.scrollTo($('.woocommerce-error')[0], -70);
        }), 400);
      }
    });
  };
  //: Init App
  initApp = function() {
    initBackgroundVideo();
    initRotator();
    initParallax();
    initImages();
    initWorldMap();
    initNav();
    initHistoryNav();
    initAccordion();
    initLightbox();
    initCarousels();
    initWooCommerce();
  };
  //: Init Page Load
  //initAnimations()
  initPageLoad = function() {
    initMasonry();
    initParallax();
    initImages();
    initProductPage();
    initWorldMapResize();
  };
})(jQuery);
