<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    
    
    <?php wp_head(); ?>
    
  </head>
  <body <?php body_class(); ?>>
    <div id="page" data-scroll-container>
      <div class="position-relative zi-4" id="page-header-wrapper" data-scroll-section><!-- page-header -->
        <header id="page-header">
          <?php
          
          $header_inverted = false;
          $is_hero         = false;
          if( is_page() ) {
          	global $post;
          	$hero_video = get_post_meta($post->ID, 'video_file', true);
          	if( !empty($hero_video) ) {
          		$is_hero = $hero_video;
          		if( get_post_meta($post->ID, 'video_style', true) == 'dark' ) {
          			$header_inverted = true;
          		}
          	}
          }?>
          
          <nav id="page-nav">
            <div class="container">
              <div class="row">
                <div class="col-6 col-lg-1">
                  <div id="page-header-logo">
                    <?php
                    thegoodplasticcompany_site_logo( $header_inverted );?>
                    
                  </div>
                </div>
                <div class="col-10 text-center d-none d-lg-block">
                  <?php
                  
                  wp_nav_menu( array(
                  	'theme_location'      => 'main',
                  	'container_id'        => 'nav-primary',
                  	'container_class'     => 'site-nav-container'
                  ) );?>
                  
                </div>
                <div class="col-6 col-lg-1">
                  <div class="page-nav-trigger"></div>
                </div>
              </div>
            </div>
          </nav>
        </header><!-- /page-header -->
      </div>
      <div class="position-relative zi-5" id="page-nav-popup-wrapper" data-scroll-section>
        <nav id="page-nav-popup">
          <div id="page-nav-popup-inner">
            <div class="container h-100">
              <div class="row min-h-100 flex-column flex-nowrap m-0 py-2 py-lg-3">
                <div class="col-auto flex-grow-0 flex-shrink-0 m-0 p-0">
                  <div class="row">
                    <div class="col-6">
                      <div id="page-nav-popup-logo">
                        <?php
                        thegoodplasticcompany_site_logo( false );?>
                        
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="page-nav-trigger float-right"></div>
                    </div>
                  </div>
                </div>
                <div class="col-auto flex-grow-1 flex-shrink-1 d-flex flex-column flex-nowrap m-0 p-0">
                  <div class="row pt-1 py-lg-2 flex-grow-1 flex-shrink-1 align-items-center">
                    <div class="col-12 col-lg-10 offset-lg-1">
                      <div class="page-nav-popup-inner-fade">
                        <?php
                        
                        wp_nav_menu( array(
                        	'theme_location'      => 'primary',
                        	'container_id'        => 'nav-secondary',
                        	'container_class'     => 'site-nav-container'
                        ) );?>
                        
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-auto flex-grow-0 flex-shrink-0 m-0 p-0">
                  <div class="page-nav-popup-inner-fade">
                    <div class="row">
                      <div class="col-12">
                        <div class="d-none d-lg-block content-section-tagline mb-2">
                          <div class="h5">&nbsp;</div>
                          <div class="content-section-tagline-mask border-bottom"></div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-12 col-lg-6 offset-lg-1">
                        <?php
                        
                        wp_nav_menu( array(
                        	'theme_location'      => 'secondary',
                        	'container_id'        => 'nav-sub',
                        	'container_class'     => 'site-nav-container'
                        ) );?>
                        
                      </div>
                      <div class="col-12 col-lg-4 text-lg-right">
                        <div class="h6 mt-3 m-lg-0"><?php _e('Find us on', 'thegoodplasticcompany'); ?></div>
                        <hr class="d-lg-none">
                        <?php
                        
                        wp_nav_menu( array(
                        	'theme_location'      => 'social',
                        	'container_class'     => 'site-nav-container site-nav-social'
                        ) );?>
                        
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </nav>
      </div>
      <?php
      if( $is_hero ) {?>
      
      <div class="position-relative zi-1" data-scroll-section>
        <section id="page-hero">
          <div class="content-hero-slider <?php echo $header_inverted ? 'bg-light' : 'bg-dark'; ?>">
            <div class="content-hero-slider-slide">
              <div class="content-hero-slider-image content-hero-slider-video content-video-background-container" data-content-video-poster="<?php echo get_the_post_thumbnail_url(null, 'full'); ?>" data-content-video="<?php echo wp_get_attachment_url($is_hero); ?>" data-scroll data-scroll-speed="-3">
                <div class="content-hero-slider-image-mask" style="opacity:<?php echo get_post_meta($post->ID, 'video_opacity', true) / 100; ?>"></div>
              </div>
              <div class="content-hero-slider-caption">
                <div class="container">
                  <div class="row align-items-center pt-5 pb-1 pb-lg-4 vh-100">
                    <div class="col-12">
                      <div class="row" data-scroll data-scroll-speed="2">
                        <div class="col-12 col-xs-10 col-md-8 col-lg-7 offset-lg-1">
                          <h2 class="h1 content-hero-slider-caption-title"><?php echo get_post_meta($post->ID, 'video_title', true) ?>
                          </h2>
                        </div>
                      </div>
                      <div class="row" data-scroll data-scroll-speed="1" data-scroll-delay="0.05">
                        <div class="col-11 col-xs-10 col-sm-8 col-md-6 col-lg-5 col-xl-3 offset-lg-1 content-hero-slider-caption-description"><?php echo get_post_meta($post->ID, 'video_description', true) ?>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </div>
      <?php
      
      }
      ?>
      
      <div class="position-relative zi-2" data-scroll-section>
        