<?php
    if ( class_exists( 'Kirki' ) ) {
        // Basic settings
        add_filter( 'kirki_output_inline_styles', '__return_false' );
        function thegoodplasticcompany_kirki() {
        	wp_dequeue_style( 'kirki-styles' );
        }
        add_action( 'wp_enqueue_scripts', 'thegoodplasticcompany_kirki', 1000 );
        
        if ( is_customize_preview() ) {
            load_theme_textdomain( 'thegoodplasticcompany', get_stylesheet_directory() . '/languages' );
        }
        function thegoodplasticcompany_customizer() {
            // Config
            $config_id          = 'thegoodplasticcompany_theme_config';
            
            Kirki::add_config( $config_id, array(
            	'capability'    => 'edit_theme_options',
            	'option_type'   => 'theme_mod',
            ) );
            
            
            // Controls
            $custom_logo_args = get_theme_support( 'custom-logo' );
            Kirki::add_field( $config_id, array(
            	'type'          => 'cropped_image',
            	'settings'      => 'thegoodplasticcompany_alternative_logo',
            	'label'         => __('Alternative logo', 'thegoodplasticcompany'),
                'description'   => __('The alternative logo is simply a version of your main logo to be used on dark backgrounds. If your logo is acceptable on both dark and light background, leave this option blank', 'thegoodplasticcompany'),
            	'section'       => 'title_tagline',
            	'default'       => '',
                'priority'      => 8,
                'height'        => isset( $custom_logo_args[0]['height'] ) ? $custom_logo_args[0]['height'] : null,
                'width'         => isset( $custom_logo_args[0]['width'] ) ? $custom_logo_args[0]['width'] : null,
                'flex_height'   => isset( $custom_logo_args[0]['flex-height'] ) ? $custom_logo_args[0]['flex-height'] : null,
                'flex_width'    => isset( $custom_logo_args[0]['flex-width'] ) ? $custom_logo_args[0]['flex-width'] : null,
                'button_labels' => array(
                    'select'       => __('Select alternative logo', 'thegoodplasticcompany'),
                    'change'       => __('Change alternative logo', 'thegoodplasticcompany'),
                    'placeholder'  => __('No alternative logo selected', 'thegoodplasticcompany'),
                    'frame_title'  => __('Select alternative logo', 'thegoodplasticcompany'),
                    'frame_button' => __('Choose logo', 'thegoodplasticcompany'),
                ),
            ) );
            Kirki::add_field( $config_id, array(
            	'type'          => 'toggle',
            	'settings'      => 'thegoodplasticcompany_retina_logo',
            	'label'         => __('Retina logo', 'thegoodplasticcompany'),
                'description'   => __('Scales the logo to half its uploaded size, making it sharp on high-res screens', 'thegoodplasticcompany'),
            	'section'       => 'title_tagline',
            	'default'       => '0',
                'priority'      => 9,
            ) );
            
            Kirki::add_field( $config_id, array(
            	'type'          => 'image',
            	'settings'      => 'thegoodplasticcompany_og_image',
            	'label'         => __('Open Graph image', 'thegoodplasticcompany'),
            	'description'   => __('Specify a Default image for a high quality preview in Social Media feeds. The most frequently recommended resolution for an OG image is 1200x627 pixels (1.91/1 ratio).', 'thegoodplasticcompany'),
            	'section'       => 'title_tagline',
            	'default'       => '',
                'priority'      => 60
            ) );
        
        }
        add_action('init', 'thegoodplasticcompany_customizer');
        
        function thegoodplasticcompany_customize_register( $wp_customize ) {
            $wp_customize->get_control('custom_logo')->description = __('Logo image to be used on light backgrounds', 'thegoodplasticcompany');
        }
        add_action( 'customize_register', 'thegoodplasticcompany_customize_register' ); 
        
    }