<?php
    /**
     * F.A.Q. block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'faq-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-faq';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    ?>
<div class="my-1 mt-md-3 mb-md-2 <?php echo esc_attr($className); ?>" id="<?php echo esc_attr($id); ?>">
  <div class="row position-relative zi-1">
    <div class="col-9 col-md-4 col-lg-4 offset-lg-1 order-0">
      <h4 class="h2 mb-0"><?php echo get_field('title'); ?>
      </h4>
    </div>
    <div class="col-12 col-md-6 col-lg-5 order-2 order-md-1">
      <div class="content-faq-description mt-2 mt-md-0">
        <?php
        
        $faq_values = get_field('faq_list');
        if( !empty($faq_values) ) {
            $faq_values_count = count($faq_values);
            for ($i = 0; $i < $faq_values_count; $i++) {
                $question   = $faq_values[$i]['question'];
                $answer     = $faq_values[$i]['answer'];
                if(!empty(trim($question))) {
                    echo '
        <h5>' . $question . '</h5>';
                }
                if(!empty(trim($answer))) {
                    echo $answer;
                }
                if($i !=  $faq_values_count - 1) {
                    echo '
        <p class="mb-md-2">&nbsp;</p>';
                }
            }
        }?>
        
      </div>
    </div>
    <div class="col-3 col-md-2 col-lg-1 order-1 order-md-2 text-right">
      <div class="content-faq-toggle"><i class="icon icon-close"></i></div>
    </div>
  </div>
</div>
<div class="content-section-tagline mt-1 mb-2 my-md-2">&nbsp;
  <div class="content-section-tagline-mask border-bottom"></div>
</div>