<?php
    /**
     * Product Grid block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'content-sample-grid-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-sample-grid d-flex mt-1 flex-row flex-nowrap justify-content-between';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    ?>
<div class="<?php echo esc_attr($className); ?>" id="<?php echo esc_attr($id); ?>">
  <?php
  
  $images_list = get_field('product');
  if( !empty($images_list) ) {
      $columns = array('', '', '');
      for ($i = 0; $i < count($images_list); $i++) {
          $image_id = wp_get_attachment_image( get_field('product_' . $i . '_image'), 'post-thumbnail', false );
          if( $i < 3 ) {
              $columns[$i] .= '
  <div class="content-sample-grid-item">
    <div class="content-image-mask">
      <div data-scroll="data-scroll" data-scroll-speed="-1">' . $image_id . '</div>
    </div>
  </div>';
          } else {
              $columns[$i - 3] .= '
  <div class="content-sample-grid-item">
    <div class="content-image-mask">
      <div data-scroll="data-scroll" data-scroll-speed="-0.5">' . $image_id . '</div>
    </div>
  </div>';
          }
      }
      foreach($columns as $index => $column) {
          $data_attrs = 'data-scroll-speed="1.25" data-scroll-delay="0.07"';
          if( $index == 1 ) {
              $data_attrs = 'data-scroll-speed="2"';
          }
          if( $index == 2 ) {
              $data_attrs = 'data-scroll-speed="0.9" data-scroll-delay="0.05"';
          }
          echo '<div class="content-sample-grid-col p-0 col-' . ($index == 1 ? '5' : '3' ) . '" data-scroll ' . $data_attrs . '>' . $column . '</div>';
      }
  }?>
  
</div>