<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div class="woocommerce-billing-fields">
  <?php
  do_action( 'woocommerce_before_checkout_billing_form', $checkout );?>
  
  <div class="woocommerce-billing-fields__field-wrapper">
    <?php
    
    $fields = $checkout->get_checkout_fields( 'billing' );
    
    foreach ( $fields as $key => $field ) {
    	woocommerce_form_field( $key, $field, $checkout->get_value( $key ) );
    	if( $key == 'billing_email' ) {
    		$stage_title = esc_html__( 'Billing and Shipping', 'thegoodplasticcompany' ) ;
    		echo '</div></div>
    <div class="content-checkout-stage-next text-right mt-2"><a class="btn" href="#">' . __('Continue', 'thegoodplasticcompany') . '</a></div></div></div></div></div>
    <hr/><div class="content-checkout-stage content-faq my-1 my-md-2' . ( !empty($_POST['billing_first_name']) && !empty($_POST['billing_last_name']) && !empty($_POST['billing_email']) && !empty($_POST['billing_phone']) ? ' content-checkout-stage-current' : '' ) . '"><div class="row position-relative zi-1">
    <div class="col-9 col-md-4">
      <h4 class="h2 mb-0">' . $stage_title . '</h4>
    </div><div class="col-12 col-md-8"><div class="content-faq-description mt-2 mt-md-0"><div class="woocommerce-billing-fields"><div class="woocommerce-billing-fields__field-wrapper">';
    	}
    }?>
    
  </div>
  <?php
  
  do_action( 'woocommerce_after_checkout_billing_form', $checkout );
  ?>
  
</div>
<?php
if ( ! is_user_logged_in() && $checkout->is_registration_enabled() ) :?>

<div class="woocommerce-account-fields mt-2">
  <?php
  if ( ! $checkout->is_registration_required() ) :?>
  
  <p class="form-row form-row-wide create-account">
    <label class="woocommerce-form__label woocommerce-form__label-for-checkbox checkbox"><input class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox" id="createaccount" <?php checked( ( true === $checkout->get_value( 'createaccount' ) || ( true === apply_filters( 'woocommerce_create_account_default_checked', false ) ) ), true ); ?> type="checkbox" name="createaccount" value="1" /><span><?php esc_html_e( 'Create an account?', 'woocommerce' ) ?></span></label>
  </p>
  <?php
  endif;?>
  
  <?php
  do_action( 'woocommerce_before_checkout_registration_form', $checkout );?>
  
  <?php
  if ( $checkout->get_checkout_fields( 'account' ) ) :?>
  
  <div class="create-account">
    <?php
    
    foreach ( $checkout->get_checkout_fields( 'account' ) as $key => $field ) {
    	woocommerce_form_field( $key, $field, $checkout->get_value( $key ) );
    }?>
    
    <div class="clear"></div>
  </div>
  <?php
  endif;?>
  
  <?php
  do_action( 'woocommerce_after_checkout_registration_form', $checkout );?>
  
</div>
<?php
endif;?>
