<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'woocommerce_before_checkout_form', $checkout );

// If checkout registration is disabled and not logged in, the user cannot checkout.
if ( ! $checkout->is_registration_enabled() && $checkout->is_registration_required() && ! is_user_logged_in() ) {
	echo esc_html( apply_filters( 'woocommerce_checkout_must_be_logged_in_message', __( 'You must be logged in to checkout.', 'woocommerce' ) ) );
	return;
}?>

<form class="checkout woocommerce-checkout" name="checkout" method="post" action="<?php echo esc_url( wc_get_checkout_url() ); ?>" enctype="multipart/form-data">
  <div class="content-section-tagline mt-1 mb-0">&nbsp;
    <div class="content-section-tagline-mask border-bottom"></div>
  </div>
  <div class="row">
    <?php
    if ( $checkout->get_checkout_fields() ) :?>
    
    <div class="col-12 col-lg-7">
      <div id="customer_details">
        <div class="content-checkout-stage content-faq my-1 my-md-2 <?php echo !empty($_POST['billing_first_name']) && !empty($_POST['billing_last_name']) && !empty($_POST['billing_email']) && !empty($_POST['billing_phone']) ? '' : 'content-checkout-stage-current' ?>">
          <div class="row position-relative zi-1">
            <div class="col-9 col-md-4">
              <h4 class="h2 mb-0"><?php _e('Personal information', 'thegoodplasticcompany'); ?>
              </h4>
            </div>
            <div class="col-12 col-md-8">
              <div class="content-checkout-stage-edit text-right"><a class="btn" href="#"><?php _e('Edit', 'thegoodplasticcompany'); ?></a></div>
              <div class="content-faq-description mt-2 mt-md-0">
                <?php
                
                do_action( 'woocommerce_checkout_before_customer_details' );
                ?>
                
                <?php
                
                do_action( 'woocommerce_checkout_billing' );
                do_action( 'woocommerce_checkout_shipping' );?>
                
                <?php
                do_action( 'woocommerce_checkout_after_customer_details' );?>
                
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <?php
    endif;?>
    
    <div class="col-12 d-lg-none">
      <hr class="mt-0 mb-2"/>
    </div>
    <div class="col-12<?php echo $checkout->get_checkout_fields() ? ' col-lg-4 offset-lg-1' : '' ?>">
      <h4 class="h2 mt-lg-2" id="order_review_heading"><?php _e('Your order', 'thegoodplasticcompany'); ?>
      </h4>
      <div class="my-1 my-md-2">
        <?php
        do_action( 'woocommerce_checkout_before_order_review_heading' );?>
        
        <?php
        do_action( 'woocommerce_checkout_before_order_review' );?>
        
        <div class="woocommerce-checkout-review-order" id="order_review">
          <?php
          do_action( 'woocommerce_checkout_order_review' );?>
          
          <?php
          do_action( 'woocommerce_checkout_after_order_review' );?>
          
        </div>
      </div>
    </div>
  </div>
  <div class="content-section-tagline mt-1 mb-2 mb-lg-3">&nbsp;
    <div class="content-section-tagline-mask border-bottom"></div>
  </div>
</form>
<?php

do_action( 'woocommerce_after_checkout_form', $checkout );
?>
